=== debian/changelog ===
samtools (1.17-1) unstable; urgency=medium

  * Migrate samtools to unstable.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Jun 2023 22:31:55 +0200

samtools (1.17-0+exp1) experimental; urgency=medium

  * New upstream version (Closes: #1037431)
  * Standards-Version: 4.6.2 (routine-update)
  * [aebe148] samtools-fasta-q-whatis.patch: unfuzz
  * [dac7490] d/control: clean obsolete package from Breaks:
  * [66a6b6e] d/control: build depends on libhts-dev (>= 1.17~)
    Trying to build against older versions will result a build failure.
  * [f3e3ea1] d/control: build depends on libncurses-dev.
    This replaces the build dependency on libncurses5-dev, which is
    flagged as obsolete by lintian.
  * [7adec78] d/*.lintian-overrides: update mismatched override
  * [dddb318] typos.patch: new patch.
    This fixes various typos caught by a few of the lintian parsers.

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Jun 2023 23:26:47 +0200
