## samtools 1.18

=== debian/changelog ===
samtools (1.18-1) unstable; urgency=medium

  * New upstream version
  * Autopkgtest is now using run-unit-test as user example

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2023 09:05:57 +0100
