=== debian/control ===
Source: samtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               bash-completion,
               libio-pty-perl <!nocheck>,
               libncurses-dev,
               libhts-dev (>= 1.17~),
               zlib1g-dev,
               automake,
               autoconf-archive,
               pkg-config,
               tabix,
               liblzma-dev,
               libbz2-dev
# tabix is needed for the regression tests.
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/samtools
Vcs-Git: https://salsa.debian.org/med-team/samtools.git
Homepage: https://www.htslib.org/
Rules-Requires-Root: no

Package: samtools
Architecture: any
# older iva & bio-tradis have bad samtools version parsing code
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: cwltool
Description: processing sequence alignments in SAM, BAM and CRAM formats
 Samtools is a set of utilities that manipulate nucleotide sequence alignments
 in the binary BAM format. It imports from and exports to the ascii SAM
 (Sequence Alignment/Map) and CRAM formats, does sorting, merging and indexing,
 and allows one to retrieve reads in any regions swiftly. It is designed to work
 on a stream, and is able to open a BAM or CRAM (not SAM) file on a remote FTP
 or HTTP server.

Package: samtools-test
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libio-pty-perl
Description: test files for the samtools package
 Samtools is a set of utilities that manipulate nucleotide sequence alignments
 in the binary BAM format.
 .
 This package contains test files for the samtools package.
