=== debian/changelog ===
samtools (1.19-1) unstable; urgency=medium

  * [73082b5] New upstream version 1.19
  * [b86781d] d/rules: adjust dh_instalchangelogs.
    Upstream NEWS file has been renamed NEWS.md.

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 16:17:11 +0100
