## samtools 1.19.2

=== debian/changelog ===
samtools (1.19.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:57:34 +1100

samtools (1.19.2-1build1) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:54:00 +0100

samtools (1.19.2-1) unstable; urgency=medium

  * [3f34445] New upstream version 1.19.2
  * [e0d4f37] d/control: replace pkg-config by pkgconf.

 -- Étienne Mollier <emollier@debian.org>  Sat, 17 Feb 2024 18:22:41 +0100
