=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: samtools
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
@@ -13,7 +14,7 @@
                zlib1g-dev,
                automake,
                autoconf-archive,
-               pkg-config,
+               pkgconf,
                tabix,
                liblzma-dev,
                libbz2-dev
