## samtools 1.20

=== debian/changelog ===
samtools (1.20-3) unstable; urgency=medium

  * [56a4a28] d/rules: fix no-arch-all builds.
    The initial issue flown below radar due to leftover htslib version
    discrepancy, triggering the build failure too early.

 -- Étienne Mollier <emollier@debian.org>  Thu, 30 May 2024 20:52:53 +0200

samtools (1.20-2) unstable; urgency=medium

  * [832f44a] d/control: build depends on libhts-dev >= 1.20~.

 -- Étienne Mollier <emollier@debian.org>  Thu, 30 May 2024 20:03:04 +0200

samtools (1.20-1) unstable; urgency=medium

  * [6733c3c] New upstream version 1.20
  * [2b57a20] d/copyright: update copyright year.
  * [4f1b242] d/control: declare compliance to standards version 4.7.0.
  * [922ea17] d/rules: fix permissions of a data file in samtools-test.

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 May 2024 15:14:04 +0200
