=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: samtools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
@@ -10,7 +9,7 @@
                bash-completion,
                libio-pty-perl <!nocheck>,
                libncurses-dev,
-               libhts-dev (>= 1.17~),
+               libhts-dev (>= 1.20~),
                zlib1g-dev,
                automake,
                autoconf-archive,
@@ -19,7 +18,7 @@
                liblzma-dev,
                libbz2-dev
 # tabix is needed for the regression tests.
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/samtools
 Vcs-Git: https://salsa.debian.org/med-team/samtools.git
 Homepage: https://www.htslib.org/
