=== debian/changelog ===
samtools (1.21-1) unstable; urgency=medium

  * Migrate samtools 1.21 from experimental to unstable.
  * [0f4e00b] reproducible.patch: normalise Last-Update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Thu, 06 Feb 2025 21:55:02 +0100

samtools (1.21-0+exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/rules: build-depend on newer htslib 1.21. Closes: #1087456

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Nov 2024 12:35:59 +0100
