=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                bash-completion,
                libio-pty-perl <!nocheck>,
                libncurses-dev,
-               libhts-dev (>= 1.20~),
+               libhts-dev (>= 1.21~),
                zlib1g-dev,
                automake,
                autoconf-archive,
