=== debian/changelog ===
samtools (1.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 Aug 2025 21:29:26 +0200
