=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                bash-completion,
                libio-pty-perl <!nocheck>,
                libncurses-dev,
-               libhts-dev (>= 1.21~),
+               libhts-dev (>= 1.22~),
                zlib1g-dev,
                automake,
                autoconf-archive,
@@ -18,7 +18,7 @@
                liblzma-dev,
                libbz2-dev
 # tabix is needed for the regression tests.
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/samtools
 Vcs-Git: https://salsa.debian.org/med-team/samtools.git
 Homepage: https://www.htslib.org/
