=== debian/rules ===
--- 
+++ 
@@ -64,3 +64,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.md
+
+TEST_INSTALLDIR = $(CURDIR)/debian/samtools-test
+execute_after_dh_fixperms-indep:
+	chmod -x $(TEST_INSTALLDIR)/usr/share/samtools/test/mpileup/mp_2018.sam
