=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/samtools-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/ \
  https://github.com/samtools/samtools/tags .*/v?(\d\S*)\.tar\.gz
